#include "FilterDialogData.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qslider.h>
#include <qlabel.h>
#include <qframe.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a FilterDialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
FilterDialogData::FilterDialogData( QWidget* parent )
    : QDialog( parent)
{
    setupUi(this); // this sets up GUI     
}

/*
 *  Destroys the object and frees any allocated resources
 */
FilterDialogData::~FilterDialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FilterDialogData::languageChange()
{
    setWindowTitle( tr( "Filter adjustment" ) );
   /// TextLabel1->setText( tr( "Parameter 1" ) );
  ///  TextLabel2->setText( tr( "Parameter 2" ) );
  ///  TextLabel3->setText( tr( "Parameter 3" ) );
  ///  defaultBtn->setText( tr( "Default" ) );
  ///  isEnabled->setText( tr( "Filter enabled" ) );
}

void FilterDialogData::setBitsPerSample(int)
{
    qWarning( "FilterDialogData::setBitsPerSample(int): Not implemented yet" );
}

void FilterDialogData::setChannels(int)
{
    qWarning( "FilterDialogData::setChannels(int): Not implemented yet" );
}

void FilterDialogData::setFrequency(int)
{
    qWarning( "FilterDialogData::setFrequency(int): Not implemented yet" );
}

void FilterDialogData::setDefaults()
{
    qWarning( "FilterDialogData::setDefaults(): Not implemented yet" );
}

void FilterDialogData::setFilterFlag(bool)
{
    qWarning( "FilterDialogData::setFilterFlag(bool): Not implemented yet" );
}

void FilterDialogData::updatePara1(int)
{
    qWarning( "FilterDialogData::updatePara1(int): Not implemented yet" );
}

void FilterDialogData::updatePara2(int)
{
    qWarning( "FilterDialogData::updatePara2(int): Not implemented yet" );
}

void FilterDialogData::updatePara3(int)
{
    qWarning( "FilterDialogData::updatePara3(int): Not implemented yet" );
}

