#ifndef HVSC_DIALOGDATA_H
#define HVSC_DIALOGDATA_H

#include "Config.h"
#include <qvariant.h>
#include <qdialog.h>
#include "ui_HVSC_Dialog.h"

class HVSC_DialogData : public QDialog, public Ui::HVSC_DialogData
{
    Q_OBJECT

public:
    HVSC_DialogData( QWidget* parent = 0 );
    ~HVSC_DialogData();

protected:
    QGridLayout* HVSC_DialogDataLayout;

protected slots:
    virtual void languageChange();

    virtual void browseButtonClicked();
    virtual void cancelButtonClicked();
    virtual void okButtonClicked();

};

#endif // HVSC_DIALOGDATA_H
