#ifndef MAINDIALOGDATA_H
#define MAINDIALOGDATA_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>
#include "ui_MainDialog.h"


class MainDialogData : public QWidget, public Ui::MainDialogData
{
    Q_OBJECT

public:
    MainDialogData( QWidget* parent = 0 );
    ~MainDialogData();

public slots:
    virtual void forwardSongPressed();
    virtual void forwardSongReleased();
    virtual void newSubSong( int );
    virtual void nextSongPressed();
    virtual void nextSongReleased();
    virtual void playSongPressed();
    virtual void playSongReleased();
    virtual void prevSongPressed();
    virtual void prevSongReleased();
    virtual void stopSongPressed();
    virtual void stopSongReleased();

protected:

protected slots:
    virtual void languageChange();

    virtual void setPlaylistEnabled( bool );
    virtual void setLoopPlayEnabled( bool );
    virtual void setRandomPlayEnabled( bool );

};

#endif // MAINDIALOGDATA_H
