#ifndef PLAYLISTDIALOGDATA_H
#define PLAYLISTDIALOGDATA_H

#include "Config.h"
#include <qvariant.h>
#include <qdialog.h>
#include "ui_PlaylistDialog.h"

class PlaylistDialogData : public QDialog, public Ui::PlaylistDialogData
{
    Q_OBJECT

public:
    PlaylistDialogData( QWidget* parent = 0 );
    ~PlaylistDialogData();

protected slots:
    virtual void languageChange();

    virtual void deleteButtonClicked();
    virtual void nextButtonClicked();
    virtual void startButtonClicked();
    virtual void playlistItemHighlighted(int);
    virtual void playlistItemSelected(int);
    virtual void prevButtonClicked();
};

#endif // PLAYLISTDIALOGDATA_H
