#ifndef TSID2DIALOGDATA_H
#define TSID2DIALOGDATA_H

#include <qvariant.h>
#include <qdialog.h>
#include "ui_TSID2Dialog.h"

class TSID2DialogData : public QDialog, public Ui::TSID2DialogData
{
    Q_OBJECT

public:
    TSID2DialogData( QWidget* parent = 0 );
    ~TSID2DialogData();

public slots:
    virtual void browseButtonClicked();
    virtual void cancelButtonClicked();
    virtual void CheckBoxPath_stateChanged( int );
    virtual void okButtonClicked();
    virtual void rebuildButtonClicked();

protected slots:
    virtual void languageChange();

};

#endif // TSID2DIALOGDATA_H
