#ifndef AUDIODIALOGDATA_H
#define AUDIODIALOGDATA_H

#include <qvariant.h>
#include <qdialog.h>
#include "ui_AudioDialog.h"

class AudioDialogData : public QDialog, public Ui::AudioDialogData
{
  Q_OBJECT

public:
  AudioDialogData( QWidget* parent = 0);
  ~AudioDialogData();

protected slots:
    virtual void languageChange();

    virtual void setDriver( const QString & );
    virtual void setBitsPerSample( int );
    virtual void setChannels( int );
    virtual void setFrequency( int );
    virtual void setBufferSize( int );
    virtual void setPrecision( int );
    virtual void setEncoding( int );
};

#endif // AUDIODIALOGDATA_H
