#ifndef EMUDIALOGDATA_H
#define EMUDIALOGDATA_H

#include <qvariant.h>
#include <qdialog.h>
#include "Config.h"
#include "ui_EmuDialog.h"

class EmuDialogData : public QDialog, public Ui::EmuDialogData
{
    Q_OBJECT

public:
    EmuDialogData( QWidget* parent = 0);
    ~EmuDialogData();

protected:
    QVBoxLayout* EmuDialogDataLayout;
    QVBoxLayout* emuGrpLayout;
    QVBoxLayout* mpuGrpLayout;
    QVBoxLayout* clockGrpLayout;

protected slots:

    virtual void newCLKsetting(int);
    virtual void newEMUsetting(int);
    virtual void newMPUsetting(int);
    virtual void newSIDsetting(int);
};

#endif // EMUDIALOGDATA_H
