#ifndef HISTORYDIALOGDATA_H
#define HISTORYDIALOGDATA_H

#include "Config.h"
#include <qvariant.h>
#include <qdialog.h>
#include "ui_HistoryDialog.h"

class HistoryDialogData : public QDialog, public Ui::HistoryDialogData
{
    Q_OBJECT

public:
    HistoryDialogData( QWidget* parent = 0 );
    ~HistoryDialogData();

protected slots:
    virtual void languageChange();

    virtual void clearButtonClicked();
    virtual void historyItemHighlighted(int);
    virtual void historySizeChanged();
    virtual void deleteButtonClicked();
    virtual void nextButtonClicked();
    virtual void prevButtonClicked();

};

#endif // HISTORYDIALOGDATA_H
