#ifndef PLAYLISTUPDATEDIALOG_H
#define PLAYLISTUPDATEDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
#include "ui_PlaylistUpdateDialog.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;
class QButtonGroup;
class QCheckBox;
class QPushButton;

class PlaylistUpdateDialog : public QDialog, public Ui::PlaylistUpdateDialog
{
    Q_OBJECT

public:
    PlaylistUpdateDialog( QWidget* parent = 0 );
    ~PlaylistUpdateDialog();

protected slots:
    virtual void languageChange();

    virtual void newCLKsetting(int);
    virtual void newEMUsetting(int);
    virtual void newMPUsetting(int);
};

#endif // PLAYLISTUPDATEDIALOG_H
